import ajax from "@/utils/request.js";

/**
 * 广告
 * @returns {AxjxPromise}
 */
export function advertisementApi(data) {
  return ajax({
    url: "/kuyun_eye_ad/cbd_public/perform",
    method: "get",
    data,
  });
}
/**
 * 流入流出
 * @returns {AxjxPromise}
 */
export function inOutApi(data) {
  return ajax({
    url: "/api/recent_inout",
    method: "get",
    data,
  });
}
/**
 * epg
 * @returns {AxjxPromise}
 */
export function epgApi(data) {
  return ajax({
    url: "/api/recent_epgs",
    method: "get",
    data,
  });
}
/**
 * 直播实时 分
 * @returns {AxjxPromise}
 */
export function liveRealDataMinApi(data) {
  return ajax({
    url: "/api/sec_ratings",
    method: "get",
    data,
  });
}
/**
 * 直播实时数据
 * @returns {AxjxPromise}
 */
export function liveRealDataApi(data) {
  return ajax({
    url: "/api/min_ratings",
    method: "get",
    data,
  });
}
/**
 * 直播实时数据
 * @returns {AxjxPromise}
 */
export function liveDataApi(data) {
  return ajax({
    url: "/api/tvlb",
    method: "get",
    data,
  });
}
/**
 * 高光数据
 * @returns {AxjxPromise}
 */
export function heightlightDataApi(data) {
  return ajax({
    url: "/api/hl/calendar",
    method: "get",
    data,
  });
}
/**
 * 高光时刻
 * @returns {AxjxPromise}
 */
export function heightlightApi(data) {
  return ajax({
    url: "/api/hl/list-milestone",
    method: "get",
    data,
  });
}
/**
 * 节目
 * @returns {AxjxPromise}
 */
export function list(data) {
  return ajax({
    url: "/api/proepglb",
    method: "get",
    data,
  });
}
/**
 * 节目导出
 * @returns {AxjxPromise}
 */
export function listcsv(data) {
  return ajax({
    url: "/api/proepglb/csv",
    method: "get",
    downCsv: true,
    data,
  });
}
/**
 * 频道
 * @returns {AxjxPromise}
 */
export function channel(data) {
  return ajax({
    url: "/api/protvlb",
    method: "get",
    data,
  });
}
/**
 * 频道导出
 * @returns {AxjxPromise}
 */
export function channelcsv(data) {
  return ajax({
    url: "/api/protvlb/csv",
    method: "get",
    downCsv: true,
    data,
  });
}

/**
 * 获取精品节目列表
 * @props {}
 * @returns {AxjxPromise}
 */
export function epgList() {
  return ajax({
    urlType: "url2",
    url: "/program",
    method: "get",
  });
}
/**
 * 获取精品节目详情
 * @props {}
 * @returns {AxjxPromise}
 */
export function epgDetail(data) {
  return ajax({
    urlType: "url2",
    url: "/epg-detail",
    method: "get",
    target: data.target,
    data: { epgId: data.epgId },
  });
}
/**
 * 获取精品节目指标
 * @props {}
 * @returns {AxjxPromise}
 */
export function epgResult(data) {
  return ajax({
    urlType: "url2",
    url: "/epg-result",
    method: "get",
    data,
  });
}

/**
 * 自由接口
 * @props {url, data}
 * @return {AxjxPromise}
 */
export function defaultAjax(props) {
  return ajax({
    urlType: "url3",
    url: props.url,
    method: "get",
    notLoad: props.notLoad,
    target: props.target,
    data: props.data,
  });
}

/**
 * 频率列表
 * @props {}
 * @return {AxjxPromise}
 */
 export function frequencyList() {
    return ajax({
      urlType: "url2",
      url: "/broadcast/dict",
      method: "get",
    });
  }
  /**
   * 频率查询
   * @props {}
   * @return {AxjxPromise}
   */
  export function PLList(data) {
    return ajax({
      urlType: "url2",
      url: "/broadcast/list",
      method: "get",
      data
    });
  }


// 全国接口

  /**
   * 频道全天节目
   * 表格查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function allDayEpg(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/broadcast/list",
      method: "get",
      data
    });
  }
  // 重叠度

  /**
   * 节目查询
   * 图表查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function overlapSearchTitle(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/api/evaluation/eye/search_suggest?" + data,
      method: "GET",
    });
  }
  /**
   * 节目重叠度
   * 图表查询
   * @props {}
   * @return {AxjxPromise}
   */
   export function overlap(data) {
    return ajax({
      urlType: "kuyunApi",
      url: "/ProUserOverlapAction",
      method: "GET",
      data
    });
  }