let useApiUrl = "http://172.16.101.11:8899",
  useApiUrl1 = "http://172.16.101.11:9000",
  kuyunApi = "http://114.117.161.191:9001/kuyun";
//   kuyunApi = "http://172.16.101.11:9001/kuyun";
// let  isRelease = false; //是否是线上发布版本
// if (process.env.NODE_ENV !== "development") {
//   useApiUrl = "http://172.16.101.11:8899";
//   useApiUrl1 = "http://172.16.101.11:9000";
//   isRelease = true;
// }

export default {
  base: {
    url: useApiUrl,
    url2: useApiUrl1,
    url3: "",
    kuyunApi,
    timeout: 60000,
    // isRelease,
    requestRetry: 4,
    requestRetryDelay: 800,
  },
  order:{
    ascending: "ASC",
    descending: "DESC",
  },
  frequency:[
    {
        label: "首播/重播",
        value: 0
    },
    {
        label: "首播",
        value: 1
    },
    {
        label: "重播",
        value: 2
    },
  ],
  weeks: [
    {
      label: "星期一",
      value: 1,
    },
    {
      label: "星期二",
      value: 2,
    },
    {
      label: "星期三",
      value: 3,
    },
    {
      label: "星期四",
      value: 4,
    },
    {
      label: "星期五",
      value: 5,
    },
    {
      label: "星期六",
      value: 6,
    },
    {
      label: "星期日",
      value: 7,
    },
],
  cycle: [
    {
      label: "全天时段(00:00~24:00)",
      value: "0000_2400",
    },
    {
      label: "凌晨时段(00:00~06:00)",
      value: "0000_0600",
    },
    {
      label: "早晨时段(06:00~09:00)",
      value: "0600_0900",
    },
    {
      label: "上午时段(09:00~12:00)",
      value: "0900_1200",
    },
    {
      label: "中午时段(12:00~14:00)",
      value: "1200_1400",
    },
    {
      label: "下午时段(14:00~17:00)",
      value: "1400_1700",
    },
    {
      label: "傍晚时段(17:00~19:00)",
      value: "1700_1900",
    },
    {
      label: "黄金时段(19:00~22:00)",
      value: "1900_2200",
    },
    {
      label: "后黄金时段(22:00~24:00)",
      value: "2200_2400",
    },
  ],
  classification: [
    {
      label: "全部节目",
      options: [
        {
          label: "全部节目",
          value: "0",
        },
      ],
    },
    {
      label: "电视剧",
      options: [
        {
          label: "电视剧",
          value: "3",
        },
      ],
    },
    {
      label: "节目",
      options: [
        {
          label: "生活服务",
          value: "494",
        },
        {
          label: "青少",
          value: "493",
        },
        {
          label: "专题",
          value: "491",
        },
        {
          label: "音乐戏曲",
          value: "13",
        },
        {
          label: "法制",
          value: "9",
        },
        {
          label: "财经",
          value: "7",
        },
        {
          label: "新闻",
          value: "5",
        },
        {
          label: "电影",
          value: "4",
        },
        {
          label: "综艺",
          value: "2",
        },
        {
          label: "体育",
          value: "1",
        },
        {
          label: "其他",
          value: "492",
        },
      ],
    },
  ],
  channelList: [
    {
      label: "全部频道",
      value: 0,
    },
    {
      label: "央视",
      value: 1,
    },
    {
      label: "省级卫视",
      value: 2,
    },
    {
      label: "其他卫视",
      value: 3,
    },
  ],
  region: [
    {
      label: "全国",
      options: [
        {
          label: "全国",
          value: -1,
        },
      ],
    },
    {
      label: "行业分城",
      options: [
        {
          label: "34城",
          value: 9,
          options:[
            {
                label:"北京",
                value: 100,
            },
            {
                label:"上海",
                value: 101,
            },
            {
                label:"天津",
                value: 103,
            },
            {
                label:"石家庄",
                value: 104,
            },
            {
                label:"太原",
                value: 105,
            },
            {
                label:"呼和浩特",
                value: 106,
            },
            {
                label:"济南",
                value: 107,
            },
            {
                label:"哈尔滨",
                value: 108,
            },
            {
                label:"长春",
                value: 100,
            },
            {
                label:"沈阳",
                value: 100,
            },
            {
                label:"西安",
                value: 100,
            },
            {
                label:"兰州",
                value: 100,
            },
            {
                label:"银川",
                value: 100,
            },
            {
                label:"乌鲁木齐",
                value: 100,
            },
            {
                label:"郑州",
                value: 100,
            },
            {
                label:"长沙",
                value: 100,
            },
            {
                label:"武汉",
                value: 100,
            },
            {
                label:"南昌",
                value: 100,
            },
            {
                label:"南京",
                value: 100,
            },
            {
                label:"杭州",
                value: 100,
            },
            {
                label:"合肥",
                value: 100,
            },
            {
                label:"广州",
                value: 100,
            },
            {
                label:"南宁",
                value: 100,
            },
            {
                label:"福州",
                value: 100,
            },
            {
                label:"海口",
                value: 100,
            },
            {
                label:"昆明",
                value: 100,
            },
            {
                label:"贵阳",
                value: 100,
            },
            {
                label:"成都",
                value: 100,
            },
            {
                label:"深圳",
                value: 100,
            },
            {
                label:"大连",
                value: 100,
            },
            {
                label:"青岛",
                value: 100,
            },
            {
                label:"厦门",
                value: 100,
            },
            {
                label:"重庆",
                value: 100,
            },
            {
                label:"西宁",
                value: 100,
            },
          ]
        },
        {
          label: "52城",
          value: 10,
          options:[
            {
                label:"北京",
                value: 100,
            },
            {
                label:"上海",
                value: 101,
            },
            {
                label:"天津",
                value: 103,
            },
            {
                label:"石家庄",
                value: 104,
            },
            {
                label:"太原",
                value: 105,
            },
            {
                label:"呼和浩特",
                value: 106,
            },
            {
                label:"济南",
                value: 107,
            },
            {
                label:"哈尔滨",
                value: 108,
            },
            {
                label:"长春",
                value: 100,
            },
            {
                label:"沈阳",
                value: 100,
            },
            {
                label:"西安",
                value: 100,
            },
            {
                label:"兰州",
                value: 100,
            },
            {
                label:"银川",
                value: 100,
            },
            {
                label:"乌鲁木齐",
                value: 100,
            },
            {
                label:"郑州",
                value: 100,
            },
            {
                label:"长沙",
                value: 100,
            },
            {
                label:"武汉",
                value: 100,
            },
            {
                label:"南昌",
                value: 100,
            },
            {
                label:"南京",
                value: 100,
            },
            {
                label:"杭州",
                value: 100,
            },
            {
                label:"合肥",
                value: 100,
            },
            {
                label:"广州",
                value: 100,
            },
            {
                label:"南宁",
                value: 100,
            },
            {
                label:"福州",
                value: 100,
            },
            {
                label:"海口",
                value: 100,
            },
            {
                label:"昆明",
                value: 100,
            },
            {
                label:"贵阳",
                value: 100,
            },
            {
                label:"成都",
                value: 100,
            },
            {
                label:"深圳",
                value: 100,
            },
            {
                label:"大连",
                value: 100,
            },
            {
                label:"青岛",
                value: 100,
            },
            {
                label:"厦门",
                value: 100,
            },
            {
                label:"重庆",
                value: 100,
            },
            {
                label:"西宁",
                value: 100,
            },
            {
                label:"惠州",
                value: 100,
            },
            {
                label:"锦州",
                value: 100,
            },
            {
                label:"宁波",
                value: 100,
            },
            {
                label:"韶关",
                value: 100,
            },
            {
                label:"温州",
                value: 100,
            },
            {
                label:"无锡",
                value: 100,
            },
            {
                label:"湛江",
                value: 100,
            },
            {
                label:"唐山",
                value: 100,
            },
            {
                label:"三亚",
                value: 100,
            },
            {
                label:"扬州",
                value: 100,
            },
            {
                label:"烟台",
                value: 100,
            },
            {
                label:"赣州",
                value: 100,
            },
            {
                label:"济宁",
                value: 100,
            },
            {
                label:"徐州",
                value: 100,
            },
            {
                label:"宜昌",
                value: 100,
            },
            {
                label:"九江",
                value: 100,
            },
            {
                label:"拉萨",
                value: 100,
            },
          ]
        },
        {
          label: "55城",
          value: 17,
          options:[
            {
                label:"北京",
                value: 100,
            },
            {
                label:"上海",
                value: 101,
            },
            {
                label:"天津",
                value: 103,
            },
            {
                label:"石家庄",
                value: 104,
            },
            {
                label:"太原",
                value: 105,
            },
            {
                label:"呼和浩特",
                value: 106,
            },
            {
                label:"济南",
                value: 107,
            },
            {
                label:"哈尔滨",
                value: 108,
            },
            {
                label:"长春",
                value: 100,
            },
            {
                label:"沈阳",
                value: 100,
            },
            {
                label:"西安",
                value: 100,
            },
            {
                label:"兰州",
                value: 100,
            },
            {
                label:"银川",
                value: 100,
            },
            {
                label:"乌鲁木齐",
                value: 100,
            },
            {
                label:"郑州",
                value: 100,
            },
            {
                label:"长沙",
                value: 100,
            },
            {
                label:"武汉",
                value: 100,
            },
            {
                label:"南昌",
                value: 100,
            },
            {
                label:"南京",
                value: 100,
            },
            {
                label:"杭州",
                value: 100,
            },
            {
                label:"合肥",
                value: 100,
            },
            {
                label:"广州",
                value: 100,
            },
            {
                label:"南宁",
                value: 100,
            },
            {
                label:"福州",
                value: 100,
            },
            {
                label:"海口",
                value: 100,
            },
            {
                label:"昆明",
                value: 100,
            },
            {
                label:"贵阳",
                value: 100,
            },
            {
                label:"成都",
                value: 100,
            },
            {
                label:"深圳",
                value: 100,
            },
            {
                label:"大连",
                value: 100,
            },
            {
                label:"青岛",
                value: 100,
            },
            {
                label:"厦门",
                value: 100,
            },
            {
                label:"重庆",
                value: 100,
            },
            {
                label:"西宁",
                value: 100,
            },
            {
                label:"惠州",
                value: 100,
            },
            {
                label:"锦州",
                value: 100,
            },
            {
                label:"宁波",
                value: 100,
            },
            {
                label:"韶关",
                value: 100,
            },
            {
                label:"温州",
                value: 100,
            },
            {
                label:"无锡",
                value: 100,
            },
            {
                label:"湛江",
                value: 100,
            },
            {
                label:"唐山",
                value: 100,
            },
            {
                label:"三亚",
                value: 100,
            },
            {
                label:"扬州",
                value: 100,
            },
            {
                label:"烟台",
                value: 100,
            },
            {
                label:"赣州",
                value: 100,
            },
            {
                label:"济宁",
                value: 100,
            },
            {
                label:"徐州",
                value: 100,
            },
            {
                label:"宜昌",
                value: 100,
            },
            {
                label:"九江",
                value: 100,
            },
            {
                label:"拉萨",
                value: 100,
            },
          ]
        },
        {
          label: "71城",
          value: 11,
          options:[
            {
                label:"北京",
                value: 100,
            },
            {
                label:"上海",
                value: 101,
            },
            {
                label:"天津",
                value: 103,
            },
            {
                label:"石家庄",
                value: 104,
            },
            {
                label:"太原",
                value: 105,
            },
            {
                label:"呼和浩特",
                value: 106,
            },
            {
                label:"济南",
                value: 107,
            },
            {
                label:"哈尔滨",
                value: 108,
            },
            {
                label:"长春",
                value: 100,
            },
            {
                label:"沈阳",
                value: 100,
            },
            {
                label:"西安",
                value: 100,
            },
            {
                label:"兰州",
                value: 100,
            },
            {
                label:"银川",
                value: 100,
            },
            {
                label:"乌鲁木齐",
                value: 100,
            },
            {
                label:"郑州",
                value: 100,
            },
            {
                label:"长沙",
                value: 100,
            },
            {
                label:"武汉",
                value: 100,
            },
            {
                label:"南昌",
                value: 100,
            },
            {
                label:"南京",
                value: 100,
            },
            {
                label:"杭州",
                value: 100,
            },
            {
                label:"合肥",
                value: 100,
            },
            {
                label:"广州",
                value: 100,
            },
            {
                label:"南宁",
                value: 100,
            },
            {
                label:"福州",
                value: 100,
            },
            {
                label:"海口",
                value: 100,
            },
            {
                label:"昆明",
                value: 100,
            },
            {
                label:"贵阳",
                value: 100,
            },
            {
                label:"成都",
                value: 100,
            },
            {
                label:"深圳",
                value: 100,
            },
            {
                label:"大连",
                value: 100,
            },
            {
                label:"青岛",
                value: 100,
            },
            {
                label:"厦门",
                value: 100,
            },
            {
                label:"重庆",
                value: 100,
            },
            {
                label:"西宁",
                value: 100,
            },
            {
                label:"惠州",
                value: 100,
            },
            {
                label:"锦州",
                value: 100,
            },
            {
                label:"宁波",
                value: 100,
            },
            {
                label:"韶关",
                value: 100,
            },
            {
                label:"温州",
                value: 100,
            },
            {
                label:"无锡",
                value: 100,
            },
            {
                label:"湛江",
                value: 100,
            },
            {
                label:"唐山",
                value: 100,
            },
            {
                label:"三亚",
                value: 100,
            },
            {
                label:"扬州",
                value: 100,
            },
            {
                label:"烟台",
                value: 100,
            },
            {
                label:"赣州",
                value: 100,
            },
            {
                label:"济宁",
                value: 100,
            },
            {
                label:"徐州",
                value: 100,
            },
            {
                label:"宜昌",
                value: 100,
            },
            {
                label:"九江",
                value: 100,
            },
            {
                label:"拉萨",
                value: 100,
            },
          ]
        },
        {
          label: "29省",
          value: 1,
          options:[
            {
                label:"北京",
                value: 100,
            },
            {
                label:"上海",
                value: 100,
            },
            {
                label:"重庆",
                value: 100,
            },
            {
                label:"天津",
                value: 100,
            },
            {
                label:"河北",
                value: 100,
            },
            {
                label:"陕西",
                value: 100,
            },
            {
                label:"黑龙江",
                value: 100,
            },
          ]
        },
      ],
    },
    {
      label: "城市等级",
      options: [
        {
          label: "一级城市",
          value: 12,
        },
        {
          label: "二级城市",
          value: 13,
        },
        {
          label: "三级城市",
          value: 14,
        },
      ],
    },
    {
      label: "全国大区",
      options: [
        {
          label: "华东地区",
          value: 2,
        },
        {
          label: "华南地区",
          value: 3,
        },
        {
          label: "华中地区",
          value: 4,
        },
        {
          label: "华北地区",
          value: 5,
        },
        {
          label: "西北地区",
          value: 6,
        },
        {
          label: "西南地区",
          value: 7,
        },
        {
          label: "东北地区",
          value: 8,
        },
      ],
    },
  ],
  channelNameList: [
    {
      label: "CCTV-1",
      value: 5,
    },
    {
      label: "CCTV-2",
      value: 6,
    },
    {
      label: "CCTV-3",
      value: 7,
    },
    {
      label: "CCTV-4",
      value: 9,
    },
    {
      label: "CCTV-5",
      value: 223,
    },
    {
      label: "CCTV-6",
      value: 11,
    },
    {
      label: "CCTV-7",
      value: 12,
    },
    {
      label: "CCTV-8",
      value: 13,
    },
    {
      label: "CCTV-10",
      value: 15,
    },
    {
      label: "CCTV-11",
      value: 16,
    },
    {
      label: "CCTV-12",
      value: 17,
    },
    {
      label: "CCTV-少儿",
      value: 19,
    },
    {
      label: "CCTV-新闻",
      value: 18,
    },
    {
      label: "CCTV-纪录",
      value: 14,
    },
    {
      label: "CCTV-音乐",
      value: 20,
    },
    {
      label: "CCTV-5+体育赛事频道",
      value: 415,
    },
    {
      label: "北京卫视",
      value: 21,
    },
    {
      label: "东方卫视",
      value: 23,
    },
    {
      label: "湖南卫视",
      value: 24,
    },
    {
      label: "江苏卫视",
      value: 25,
    },
    {
      label: "广东卫视",
      value: 26,
    },
    {
      label: "河南卫视",
      value: 27,
    },
    {
      label: "浙江卫视",
      value: 28,
    },
    {
      label: "重庆卫视",
      value: 30,
    },
    {
      label: "安徽卫视",
      value: 8,
    },
    {
      label: "东南卫视",
      value: 31,
    },
    {
      label: "甘肃卫视",
      value: 32,
    },
    {
      label: "广西卫视",
      value: 34,
    },
    {
      label: "贵州卫视",
      value: 35,
    },
    {
      label: "海南卫视",
      value: 36,
    },
    {
      label: "河北卫视",
      value: 37,
    },
    {
      label: "黑龙江卫视",
      value: 38,
    },
    {
      label: "湖北卫视",
      value: 39,
    },
    {
      label: "江西卫视",
      value: 40,
    },
    {
      label: "吉林卫视",
      value: 41,
    },
    {
      label: "辽宁卫视",
      value: 42,
    },
    {
      label: "内蒙古卫视",
      value: 43,
    },
    {
      label: "宁夏卫视",
      value: 44,
    },
    {
      label: "山西卫视",
      value: 45,
    },
    {
      label: "山东卫视",
      value: 46,
    },
    {
      label: "陕西卫视",
      value: 48,
    },
    {
      label: "四川卫视",
      value: 49,
    },
    {
      label: "新疆卫视",
      value: 51,
    },
    {
      label: "云南卫视",
      value: 52,
    },
    {
      label: "青海卫视",
      value: 53,
    },
    {
      label: "厦门卫视",
      value: 107,
    },
    {
      label: "天津卫视",
      value: 224,
    },
    {
      label: "深圳卫视",
      value: 225,
    },
    {
      label: "西藏卫视",
      value: 347,
    },
    {
      label: "中国教育电视台一套",
      value: 209,
    },
    {
      label: "卡酷少儿",
      value: 161,
    },
    {
      label: "湖南金鹰卡通频道",
      value: 323,
    },
    {
      label: "上海电视台哈哈炫动卫视",
      value: 273,
    },
    {
      label: "嘉佳卡通频道",
      value: 292,
    },
    {
      label: "江苏优漫卡通频道",
      value: 335,
    },
    {
      label: "广东南方卫视",
      value: 33,
    },
    {
      label: "湖南金鹰纪实频道",
      value: 596,
    },
    {
      label: "家庭理财",
      value: 190,
    },
    {
      label: "中国教育电视台四套",
      value: 399,
    },
  ],
};
